Bug 1420274 - [RFE] display statistics for disk sparsify
Summary: [RFE] display statistics for disk sparsify
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.1.0.4
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Martin Tessun
QA Contact: Gil Klein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 10:32 UTC by Evgheni Dereveanchin
Modified: 2017-03-10 13:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 13:29:09 UTC
oVirt Team: Virt
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Evgheni Dereveanchin 2017-02-08 10:32:00 UTC
Description of problem:
The new Disk Sparsify feature implemented in oVirt 4.1 does not display any statistics or results of the sparsify process. It only outputs this to the audit log:
 Started to sparsify TestDisk1
 TestDisk1 sparsified successfully

Not much on VDSM side either:
 2017-02-08 11:12:37,750 INFO  (jsonrpc/5) [dispatcher] Run and protect: sdm_sparsify_volume(job_id=u'e309183d-8e5d-42a9-aa6f-09b19c8f7a2c', vol_info={u'img_id': u'e72d6790-8a9d-4d00-9c01-6540daff82a2', u'sd_id': u'deb67fbd-eeef-49de-a03a-fdf0a8a108cc', u'vol_id': u'dc2a026e-81f9-4746-bfe0-d97a0311364a'}) (logUtils:49)
 2017-02-08 11:12:37,751 INFO  (jsonrpc/5) [dispatcher] Run and protect: sdm_sparsify_volume, Return response: None (logUtils:52)
 2017-02-08 11:12:37,751 INFO  (jsonrpc/5) [jsonrpc.JsonRpcServer] RPC call SDM.sparsify_volume succeeded in 0.01 seconds (__init__:515)

We need to present statistics to the user, i.e how much data was freed, how much storage the disk image occupied before/after sparsify. Otherwise it's not clear if sparsify is doing anything useful.

Version-Release number of selected component (if applicable):
 ovirt-engine-4.1.0.4
 vdsm-4.19.4

How reproducible:
always

Steps to Reproduce:
1. stop VM
2. sparsify disk
3. after task is finished - see how much space was freed

Comment 3 Yaniv Kaul 2017-03-06 09:12:32 UTC
I'm inclined to close this RFE.
In many case, we can't provide this information. Only in the 'easy' case of qcow2 we can see the size before and after and understand the difference. In all other cases, we can't.

Comment 4 Martin Tessun 2017-03-07 10:06:40 UTC
(In reply to Yaniv Kaul from comment #3)
> I'm inclined to close this RFE.
> In many case, we can't provide this information. Only in the 'easy' case of
> qcow2 we can see the size before and after and understand the difference. In
> all other cases, we can't.

Michal your take on this. In case we can't get this information it doesn't make sense to get statistics just for qcow2 only?

So I would agree in that case with Yaniv to CLOSE CANTFIX.

Comment 5 Michal Skrivanek 2017-03-10 13:29:09 UTC
ok with me


Note You need to log in before you can comment on or make changes to this bug.